CREATE TRIGGER TRAU_PRODUCT ON PRODUCT
FOR UPDATE
AS
IF UPDATE (PROD_PRICE_N)
    INSERT INTO acme.dbo.PRODUCT_AUDIT
    SELECT i.PROD_ID_N, 
	    d.PROD_PRICE_N, 
            i.PROD_PRICE_N,
            USER,
            GETDATE()
     FROM INSERTED i
       JOIN 
          DELETED d
       ON i.PROD_ID_N = d.PROD_ID_N
GO