--
-- TRIGGER TRAU_PRODUCT
--

CREATE OR REPLACE TRIGGER TRAU_PRODUCT
BEFORE  UPDATE OF PROD_PRICE_N ON PRODUCT
FOR EACH ROW
Begin
    INSERT INTO PRODUCT_AUDIT
	VALUES (:NEW.PROD_ID_N, 
	        :OLD.PROD_PRICE_N, 
			:NEW.PROD_PRICE_N,
            USER,
            SYSDATE);
END;
/ 
