-- CREATE DATABASE, USER LOGIN, PERMISSIONS, ETC.
USE master
GO

ALTER DATABASE acme 
SET SINGLE_USER 
WITH ROLLBACK IMMEDIATE
GO
 
IF EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name =
'acme')
	DROP DATABASE acme
GO

IF NOT EXISTS (SELECT name FROM master.dbo.sysdatabases WHERE name =
'acme')
	CREATE DATABASE acme
GO

IF NOT EXISTS (SELECT name FROM master.dbo.syslogins WHERE name =
'acme')
	exec sp_addlogin 'acme', 'acme', 'acme'
GO

exec sp_addsrvrolemember 'acme', 'sysadmin'
GO

exec sp_defaultdb 'acme', 'acme'
GO

use acme
GO

exec sp_grantdbaccess 'acme', 'acme'
GO